Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033808
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-08-25 14:242017-10-02 17:58
ReportervmromanosView Statuspublic 
Assigned ToSanjota 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionb33f5c9d91f2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033808: Not processed transactions are shown in Match statement - search transaction popup

DescriptionThe transactions not processed yet are shown in the Match Statement window, and they shouldn't
Steps To ReproduceAs Openbravo Admin

Go to Financial Account window.
Select "Cuenta de Banco".
In Transaction tab, create a new transaction for any amount and gl item
Set description "NOT PROCESSED"
Do NOT process the transaction

Go to Imported Bank Statement tab and create a new record
Enter a new line for any amount.
Process the bank statement.

Press the Match Statement button.
In the bank statement line, click on the search button (magnifying glass).
A new window is opened.
It shows the unprocessed transaction and it shouldn't.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0089561)
Sanjota (developer)
2016-08-30 21:59

Test plan:
As Openbravo Admin

Go to Financial Account window.
Select "Cuenta de Banco".
In Transaction tab, create a new transaction for any amount and gl item
Set description "NOT PROCESSED"
Do NOT process the transaction

Go to Imported Bank Statement tab and create a new record
Enter a new line for any amount.
Process the bank statement.

Press the Match Statement button.
In the bank statement line, click on the search button (magnifying glass).
A new window is opened.
Observe that there is no unprocessed transaction shown.
(0099680)
hgbot (developer)
2017-09-29 14:06

Repository: erp/devel/pi
Changeset: b33f5c9d91f2b8cebbc9cfdddf1b32db5b8a5432
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Tue Aug 30 21:43:29 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b33f5c9d91f2b8cebbc9cfdddf1b32db5b8a5432 [^]

Fixes issue 33808: Fix to unprocessed transactions are shown in Match statement

Made changes to not show not processed transactions in the Match Statement window
Put transaction's processed field as filter while fetching transaction records.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
---
(0099681)
aferraz (developer)
2017-09-29 14:07

Code review + Testing OK
(0099702)
hudsonbot (developer)
2017-10-02 17:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44a89970274a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-25 14:24 vmromanos New Issue
2016-08-25 14:24 vmromanos Assigned To => Triage Finance
2016-08-25 14:24 vmromanos Modules => Core
2016-08-25 14:24 vmromanos Triggers an Emergency Pack => No
2016-08-26 12:39 aferraz Assigned To Triage Finance => Sanjota
2016-08-29 10:12 Sanjota Status new => scheduled
2016-08-30 21:59 Sanjota Note Added: 0089561
2017-09-29 14:06 hgbot Checkin
2017-09-29 14:06 hgbot Note Added: 0099680
2017-09-29 14:06 hgbot Status scheduled => resolved
2017-09-29 14:06 hgbot Resolution open => fixed
2017-09-29 14:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b33f5c9d91f2b8cebbc9cfdddf1b32db5b8a5432 [^]
2017-09-29 14:07 aferraz Review Assigned To => aferraz
2017-09-29 14:07 aferraz Note Added: 0099681
2017-09-29 14:07 aferraz Status resolved => closed
2017-09-29 14:07 aferraz Fixed in Version => 3.0PR17Q4
2017-10-02 17:58 hudsonbot Checkin
2017-10-02 17:58 hudsonbot Note Added: 0099702


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker